Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QWizard.WizardOption

    java.lang.Object
      java.lang.Enum<QWizard.WizardOption>
          com.trolltech.qt.gui.QWizard.WizardOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QWizard.WizardOption>

Enclosing class:
  QWizard

    public static enum QWizard.WizardOption

extends java.lang.Enum<QWizard.WizardOption>
implements QtEnumerator

This enum specifies various options that affect the look and feel of a wizard.

See Also:
  `setOptions`, `setOption`, `testOption`

Enum Constant Summary
`CancelButtonOnLeft` Put the Cancel button on the left of Back (rather than on the right of Finish or Next).
`DisabledBackButtonOnLastPage` Disable the Back button on the last page.
`ExtendedWatermarkPixmap` Extend any `WatermarkPixmap` all the way down to the window's edge.
`HaveCustomButton1` Show the first user-defined button (`CustomButton1`).
`HaveCustomButton2` Show the second user-defined button (`CustomButton2`).
`HaveCustomButton3` Show the third user-defined button (`CustomButton3`).
`HaveFinishButtonOnEarlyPages` Show the (disabled) Finish button on non-final pages.
`HaveHelpButton` Show the Help button.
`HaveNextButtonOnLastPage` Show the (disabled) Next button on the last page.
`HelpButtonOnRight` Put the Help button on the far right of the button layout (rather than on the far left).
`IgnoreSubTitles` Don't show any subtitles, even if they are set.
`IndependentPages` The pages are independent of each other (i.e., they don't derive values from each other).
`NoBackButtonOnLastPage` Don't show the Back button on the last page.
`NoBackButtonOnStartPage` Don't show the Back button on the start page.
`NoCancelButton` Don't show the Cancel button.
`NoDefaultButton` Don't make the Next or Finish button the dialog's default button.

Method Summary
`static QWizard.WizardOptions` | `createQFlags(QWizard.WizardOption... values)`
`static QWizard.WizardOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QWizard.WizardOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IndependentPages

    public static final QWizard.WizardOption IndependentPages

  The pages are independent of each other (i.e., they don't derive values from each other).

### IgnoreSubTitles

    public static final QWizard.WizardOption IgnoreSubTitles

  Don't show any subtitles, even if they are set.

### ExtendedWatermarkPixmap

    public static final QWizard.WizardOption ExtendedWatermarkPixmap

  Extend any `WatermarkPixmap` all the way down to the window's edge.

### NoDefaultButton

    public static final QWizard.WizardOption NoDefaultButton

  Don't make the Next or Finish button the dialog's default button.

### NoBackButtonOnStartPage

    public static final QWizard.WizardOption NoBackButtonOnStartPage

  Don't show the Back button on the start page.

### NoBackButtonOnLastPage

    public static final QWizard.WizardOption NoBackButtonOnLastPage

  Don't show the Back button on the last page.

### DisabledBackButtonOnLastPage

    public static final QWizard.WizardOption DisabledBackButtonOnLastPage

  Disable the Back button on the last page.

### HaveNextButtonOnLastPage

    public static final QWizard.WizardOption HaveNextButtonOnLastPage

  Show the (disabled) Next button on the last page.

### HaveFinishButtonOnEarlyPages

    public static final QWizard.WizardOption HaveFinishButtonOnEarlyPages

  Show the (disabled) Finish button on non-final pages.

### NoCancelButton

    public static final QWizard.WizardOption NoCancelButton

  Don't show the Cancel button.

### CancelButtonOnLeft

    public static final QWizard.WizardOption CancelButtonOnLeft

  Put the Cancel button on the left of Back (rather than on the right of Finish or Next).

### HaveHelpButton

    public static final QWizard.WizardOption HaveHelpButton

  Show the Help button.

### HelpButtonOnRight

    public static final QWizard.WizardOption HelpButtonOnRight

  Put the Help button on the far right of the button layout (rather than on the far left).

### HaveCustomButton1

    public static final QWizard.WizardOption HaveCustomButton1

  Show the first user-defined button (`CustomButton1`).

### HaveCustomButton2

    public static final QWizard.WizardOption HaveCustomButton2

  Show the second user-defined button (`CustomButton2`).

### HaveCustomButton3

    public static final QWizard.WizardOption HaveCustomButton3

  Show the third user-defined button (`CustomButton3`).

Method Detail

### values

    public static final QWizard.WizardOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QWizard.WizardOption c : QWizard.WizardOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QWizard.WizardOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QWizard.WizardOptions createQFlags(QWizard.WizardOption... values)

### resolve

    public static QWizard.WizardOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD